## org.apache.hadoop.net
Class NetworkTopology.InvalidTopologyException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.apache.hadoop.net.NetworkTopology.InvalidTopologyException

All Implemented Interfaces:
  Serializable

Enclosing class:
  NetworkTopology

    public static class NetworkTopology.InvalidTopologyException

extends RuntimeException

See Also:
  Serialized Form

Constructor Summary
`NetworkTopology.InvalidTopologyException(String msg)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NetworkTopology.InvalidTopologyException

    public NetworkTopology.InvalidTopologyException(String msg)

Copyright © 2009 The Apache Software Foundation